Subject: RE: [mobile-ip] Draft 15

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Tue, 9 Oct 2001 11:51:13 +1000

> > => this is fine (multiple network interface support is an essential
> > function of mobility) but I don't understand why you believed the
> > Mobile IPv6 draft needed to be extended.
> > BTW I implemented this too before wireless LAN support, movement
> detection
> > is very easy when drivers are fixed in order to signal up/down events.
> 
> OK, It is easy to support only one or two interface for move detection,
> I can put some code in device driver as trigger for movement detection.
> We used to use L2 information for movement detection in MIPv4, but we
> found that modifying every network driver is harder, i mean I can not
> modify all the interface supported on BSD. 
> 
> We can use link status like up/down for ethernet and most of interfaces.
> Wireless LAN has signal strength, but I thought signal strength is not
> totally equal to link up/down information of ethernet. 
> I think it is not easy to define how to handle L2 information. 
> This is my question what's the link status for dial-up interface  (by
> modem )?
> 
> I proposed a system to handle layer 2 information for mobile computing.
> The system named MIBsocket, this system is implemented as
> message-passing socket between layers including userland, so you can
> pass layer 2 information to IP layer through MIBsocket.
> All information is defined by MIB based description. This system was
> implemented
> on BSD-based system (only IPv4).
> 
	=> This is (again)very interesting and I've been thinkin gabout
something 
	similar for IPv6, not that there is any difference in the ideas. 
	Do you have any references for your implementation ? 
	White paper ..etc ? 

	Thanks, 
	Hesham

> >    If you are interested in this, please ask me more. I have evaluation
> of
> >    the our original idea and have "english paper" for this :) 
> >    But this paper is under submission to the conference, I can not post
> it
> >    to MIP6 ML.
> >    
> > => please !
> > 
> > Thanks
> > 
> > [email-masked]
>